# -*- coding: utf-8 -*-
from openerp import models, fields, api, exceptions, _
from lxml import etree


class stock_quant(models.Model):
    _inherit = 'stock.quant'

    @api.model
    def fields_view_get(self, view_id=None, view_type='form', toolbar=False, submenu=False):
        res = super(stock_quant, self).fields_view_get(view_id=view_id, view_type=view_type, toolbar=toolbar, submenu=submenu)
        # spt_id = self._context.get('default_picking_type_id')
        if view_type in ('search', 'tree') and self.env.user.pos_config:
            # spt = self.env['stock.picking.type'].browse(spt_id)
            poscfg = self.env.user.pos_config
            doc = etree.XML(res['arch'])
            locations_pos = [poscfg.stock_location_transit_id.id, poscfg.stock_location_id.id]
            for node in doc.xpath("//filter[@name='my_pos_location']"):
                domain = "[('location_id.id', 'in', %s)]" % locations_pos
                node.set('domain', domain)
            res['arch'] = etree.tostring(doc)
        return res
